import { NodeType } from "@lezer/common";
export declare enum Wrapping {
    /** The {@link Node} in this match contains the entirety of the branch. */
    FULL = 0,
    /** The {@link Node} in this match begins the branch. */
    BEGIN = 1,
    /** The {@link Node} in this match ends the branch. */
    END = 2
}
export declare enum NodeID {
    NONE = 0,
    TOP = 1,
    ERROR_ADVANCE = 2,
    ERROR_INCOMPLETE = 3,
    SAFE = 4
}
export declare const CHUNK_ARRAY_INTERVAL = 16;
export declare const COMPILER_STACK_SIZE = 64;
export declare const COMPILER_ARRAY_INTERVAL = 32768;
export declare const FINISH_INCOMPLETE_NODES = true;
export declare const DISABLED_NESTED = true;
export declare const REUSE_LEFT = true;
export declare const REUSE_RIGHT = true;
export declare const MARGIN_BEFORE = 32;
export declare const MARGIN_AFTER = 128;
export declare const LIMIT_TO_VIEWPORT = false;
export declare const NODE_ERROR_ADVANCE: NodeType;
export declare const NODE_ERROR_INCOMPLETE: NodeType;
